Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.167.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
240.167.76.0
Broadcast address
240.167.79.255
First usable
240.167.76.1
Last usable
240.167.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0A74C00 · Integer 4037495808 to 4037496831
Reverse DNS zones
76.167.240.in-addr.arpa
77.167.240.in-addr.arpa
78.167.240.in-addr.arpa
79.167.240.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.10100111.01001100.00000000240.167.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11110000.10100111.01001100.00000000240.167.76.0
Broadcast11110000.10100111.01001111.11111111240.167.79.255
Split into smaller subnets/30

240.167.76.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.167.76.0/30240.167.76.1 to 240.167.76.2240.167.76.32
2240.167.76.4/30240.167.76.5 to 240.167.76.6240.167.76.72
3240.167.76.8/30240.167.76.9 to 240.167.76.10240.167.76.112
4240.167.76.12/30240.167.76.13 to 240.167.76.14240.167.76.152
5240.167.76.16/30240.167.76.17 to 240.167.76.18240.167.76.192
6240.167.76.20/30240.167.76.21 to 240.167.76.22240.167.76.232
7240.167.76.24/30240.167.76.25 to 240.167.76.26240.167.76.272
8240.167.76.28/30240.167.76.29 to 240.167.76.30240.167.76.312
9240.167.76.32/30240.167.76.33 to 240.167.76.34240.167.76.352
10240.167.76.36/30240.167.76.37 to 240.167.76.38240.167.76.392
11240.167.76.40/30240.167.76.41 to 240.167.76.42240.167.76.432
12240.167.76.44/30240.167.76.45 to 240.167.76.46240.167.76.472
13240.167.76.48/30240.167.76.49 to 240.167.76.50240.167.76.512
14240.167.76.52/30240.167.76.53 to 240.167.76.54240.167.76.552
15240.167.76.56/30240.167.76.57 to 240.167.76.58240.167.76.592
16240.167.76.60/30240.167.76.61 to 240.167.76.62240.167.76.632
17240.167.76.64/30240.167.76.65 to 240.167.76.66240.167.76.672
18240.167.76.68/30240.167.76.69 to 240.167.76.70240.167.76.712
19240.167.76.72/30240.167.76.73 to 240.167.76.74240.167.76.752
20240.167.76.76/30240.167.76.77 to 240.167.76.78240.167.76.792
21240.167.76.80/30240.167.76.81 to 240.167.76.82240.167.76.832
22240.167.76.84/30240.167.76.85 to 240.167.76.86240.167.76.872
23240.167.76.88/30240.167.76.89 to 240.167.76.90240.167.76.912
24240.167.76.92/30240.167.76.93 to 240.167.76.94240.167.76.952
25240.167.76.96/30240.167.76.97 to 240.167.76.98240.167.76.992
26240.167.76.100/30240.167.76.101 to 240.167.76.102240.167.76.1032
27240.167.76.104/30240.167.76.105 to 240.167.76.106240.167.76.1072
28240.167.76.108/30240.167.76.109 to 240.167.76.110240.167.76.1112
29240.167.76.112/30240.167.76.113 to 240.167.76.114240.167.76.1152
30240.167.76.116/30240.167.76.117 to 240.167.76.118240.167.76.1192
31240.167.76.120/30240.167.76.121 to 240.167.76.122240.167.76.1232
32240.167.76.124/30240.167.76.125 to 240.167.76.126240.167.76.1272
33240.167.76.128/30240.167.76.129 to 240.167.76.130240.167.76.1312
34240.167.76.132/30240.167.76.133 to 240.167.76.134240.167.76.1352
35240.167.76.136/30240.167.76.137 to 240.167.76.138240.167.76.1392
36240.167.76.140/30240.167.76.141 to 240.167.76.142240.167.76.1432
37240.167.76.144/30240.167.76.145 to 240.167.76.146240.167.76.1472
38240.167.76.148/30240.167.76.149 to 240.167.76.150240.167.76.1512
39240.167.76.152/30240.167.76.153 to 240.167.76.154240.167.76.1552
40240.167.76.156/30240.167.76.157 to 240.167.76.158240.167.76.1592
41240.167.76.160/30240.167.76.161 to 240.167.76.162240.167.76.1632
42240.167.76.164/30240.167.76.165 to 240.167.76.166240.167.76.1672
43240.167.76.168/30240.167.76.169 to 240.167.76.170240.167.76.1712
44240.167.76.172/30240.167.76.173 to 240.167.76.174240.167.76.1752
45240.167.76.176/30240.167.76.177 to 240.167.76.178240.167.76.1792
46240.167.76.180/30240.167.76.181 to 240.167.76.182240.167.76.1832
47240.167.76.184/30240.167.76.185 to 240.167.76.186240.167.76.1872
48240.167.76.188/30240.167.76.189 to 240.167.76.190240.167.76.1912
49240.167.76.192/30240.167.76.193 to 240.167.76.194240.167.76.1952
50240.167.76.196/30240.167.76.197 to 240.167.76.198240.167.76.1992
51240.167.76.200/30240.167.76.201 to 240.167.76.202240.167.76.2032
52240.167.76.204/30240.167.76.205 to 240.167.76.206240.167.76.2072
53240.167.76.208/30240.167.76.209 to 240.167.76.210240.167.76.2112
54240.167.76.212/30240.167.76.213 to 240.167.76.214240.167.76.2152
55240.167.76.216/30240.167.76.217 to 240.167.76.218240.167.76.2192
56240.167.76.220/30240.167.76.221 to 240.167.76.222240.167.76.2232
57240.167.76.224/30240.167.76.225 to 240.167.76.226240.167.76.2272
58240.167.76.228/30240.167.76.229 to 240.167.76.230240.167.76.2312
59240.167.76.232/30240.167.76.233 to 240.167.76.234240.167.76.2352
60240.167.76.236/30240.167.76.237 to 240.167.76.238240.167.76.2392
61240.167.76.240/30240.167.76.241 to 240.167.76.242240.167.76.2432
62240.167.76.244/30240.167.76.245 to 240.167.76.246240.167.76.2472
63240.167.76.248/30240.167.76.249 to 240.167.76.250240.167.76.2512
64240.167.76.252/30240.167.76.253 to 240.167.76.254240.167.76.2552
65240.167.77.0/30240.167.77.1 to 240.167.77.2240.167.77.32
66240.167.77.4/30240.167.77.5 to 240.167.77.6240.167.77.72
67240.167.77.8/30240.167.77.9 to 240.167.77.10240.167.77.112
68240.167.77.12/30240.167.77.13 to 240.167.77.14240.167.77.152
69240.167.77.16/30240.167.77.17 to 240.167.77.18240.167.77.192
70240.167.77.20/30240.167.77.21 to 240.167.77.22240.167.77.232
71240.167.77.24/30240.167.77.25 to 240.167.77.26240.167.77.272
72240.167.77.28/30240.167.77.29 to 240.167.77.30240.167.77.312
73240.167.77.32/30240.167.77.33 to 240.167.77.34240.167.77.352
74240.167.77.36/30240.167.77.37 to 240.167.77.38240.167.77.392
75240.167.77.40/30240.167.77.41 to 240.167.77.42240.167.77.432
76240.167.77.44/30240.167.77.45 to 240.167.77.46240.167.77.472
77240.167.77.48/30240.167.77.49 to 240.167.77.50240.167.77.512
78240.167.77.52/30240.167.77.53 to 240.167.77.54240.167.77.552
79240.167.77.56/30240.167.77.57 to 240.167.77.58240.167.77.592
80240.167.77.60/30240.167.77.61 to 240.167.77.62240.167.77.632
81240.167.77.64/30240.167.77.65 to 240.167.77.66240.167.77.672
82240.167.77.68/30240.167.77.69 to 240.167.77.70240.167.77.712
83240.167.77.72/30240.167.77.73 to 240.167.77.74240.167.77.752
84240.167.77.76/30240.167.77.77 to 240.167.77.78240.167.77.792
85240.167.77.80/30240.167.77.81 to 240.167.77.82240.167.77.832
86240.167.77.84/30240.167.77.85 to 240.167.77.86240.167.77.872
87240.167.77.88/30240.167.77.89 to 240.167.77.90240.167.77.912
88240.167.77.92/30240.167.77.93 to 240.167.77.94240.167.77.952
89240.167.77.96/30240.167.77.97 to 240.167.77.98240.167.77.992
90240.167.77.100/30240.167.77.101 to 240.167.77.102240.167.77.1032
91240.167.77.104/30240.167.77.105 to 240.167.77.106240.167.77.1072
92240.167.77.108/30240.167.77.109 to 240.167.77.110240.167.77.1112
93240.167.77.112/30240.167.77.113 to 240.167.77.114240.167.77.1152
94240.167.77.116/30240.167.77.117 to 240.167.77.118240.167.77.1192
95240.167.77.120/30240.167.77.121 to 240.167.77.122240.167.77.1232
96240.167.77.124/30240.167.77.125 to 240.167.77.126240.167.77.1272
97240.167.77.128/30240.167.77.129 to 240.167.77.130240.167.77.1312
98240.167.77.132/30240.167.77.133 to 240.167.77.134240.167.77.1352
99240.167.77.136/30240.167.77.137 to 240.167.77.138240.167.77.1392
100240.167.77.140/30240.167.77.141 to 240.167.77.142240.167.77.1432
101240.167.77.144/30240.167.77.145 to 240.167.77.146240.167.77.1472
102240.167.77.148/30240.167.77.149 to 240.167.77.150240.167.77.1512
103240.167.77.152/30240.167.77.153 to 240.167.77.154240.167.77.1552
104240.167.77.156/30240.167.77.157 to 240.167.77.158240.167.77.1592
105240.167.77.160/30240.167.77.161 to 240.167.77.162240.167.77.1632
106240.167.77.164/30240.167.77.165 to 240.167.77.166240.167.77.1672
107240.167.77.168/30240.167.77.169 to 240.167.77.170240.167.77.1712
108240.167.77.172/30240.167.77.173 to 240.167.77.174240.167.77.1752
109240.167.77.176/30240.167.77.177 to 240.167.77.178240.167.77.1792
110240.167.77.180/30240.167.77.181 to 240.167.77.182240.167.77.1832
111240.167.77.184/30240.167.77.185 to 240.167.77.186240.167.77.1872
112240.167.77.188/30240.167.77.189 to 240.167.77.190240.167.77.1912
113240.167.77.192/30240.167.77.193 to 240.167.77.194240.167.77.1952
114240.167.77.196/30240.167.77.197 to 240.167.77.198240.167.77.1992
115240.167.77.200/30240.167.77.201 to 240.167.77.202240.167.77.2032
116240.167.77.204/30240.167.77.205 to 240.167.77.206240.167.77.2072
117240.167.77.208/30240.167.77.209 to 240.167.77.210240.167.77.2112
118240.167.77.212/30240.167.77.213 to 240.167.77.214240.167.77.2152
119240.167.77.216/30240.167.77.217 to 240.167.77.218240.167.77.2192
120240.167.77.220/30240.167.77.221 to 240.167.77.222240.167.77.2232
121240.167.77.224/30240.167.77.225 to 240.167.77.226240.167.77.2272
122240.167.77.228/30240.167.77.229 to 240.167.77.230240.167.77.2312
123240.167.77.232/30240.167.77.233 to 240.167.77.234240.167.77.2352
124240.167.77.236/30240.167.77.237 to 240.167.77.238240.167.77.2392
125240.167.77.240/30240.167.77.241 to 240.167.77.242240.167.77.2432
126240.167.77.244/30240.167.77.245 to 240.167.77.246240.167.77.2472
127240.167.77.248/30240.167.77.249 to 240.167.77.250240.167.77.2512
128240.167.77.252/30240.167.77.253 to 240.167.77.254240.167.77.2552
129240.167.78.0/30240.167.78.1 to 240.167.78.2240.167.78.32
130240.167.78.4/30240.167.78.5 to 240.167.78.6240.167.78.72
131240.167.78.8/30240.167.78.9 to 240.167.78.10240.167.78.112
132240.167.78.12/30240.167.78.13 to 240.167.78.14240.167.78.152
133240.167.78.16/30240.167.78.17 to 240.167.78.18240.167.78.192
134240.167.78.20/30240.167.78.21 to 240.167.78.22240.167.78.232
135240.167.78.24/30240.167.78.25 to 240.167.78.26240.167.78.272
136240.167.78.28/30240.167.78.29 to 240.167.78.30240.167.78.312
137240.167.78.32/30240.167.78.33 to 240.167.78.34240.167.78.352
138240.167.78.36/30240.167.78.37 to 240.167.78.38240.167.78.392
139240.167.78.40/30240.167.78.41 to 240.167.78.42240.167.78.432
140240.167.78.44/30240.167.78.45 to 240.167.78.46240.167.78.472
141240.167.78.48/30240.167.78.49 to 240.167.78.50240.167.78.512
142240.167.78.52/30240.167.78.53 to 240.167.78.54240.167.78.552
143240.167.78.56/30240.167.78.57 to 240.167.78.58240.167.78.592
144240.167.78.60/30240.167.78.61 to 240.167.78.62240.167.78.632
145240.167.78.64/30240.167.78.65 to 240.167.78.66240.167.78.672
146240.167.78.68/30240.167.78.69 to 240.167.78.70240.167.78.712
147240.167.78.72/30240.167.78.73 to 240.167.78.74240.167.78.752
148240.167.78.76/30240.167.78.77 to 240.167.78.78240.167.78.792
149240.167.78.80/30240.167.78.81 to 240.167.78.82240.167.78.832
150240.167.78.84/30240.167.78.85 to 240.167.78.86240.167.78.872
151240.167.78.88/30240.167.78.89 to 240.167.78.90240.167.78.912
152240.167.78.92/30240.167.78.93 to 240.167.78.94240.167.78.952
153240.167.78.96/30240.167.78.97 to 240.167.78.98240.167.78.992
154240.167.78.100/30240.167.78.101 to 240.167.78.102240.167.78.1032
155240.167.78.104/30240.167.78.105 to 240.167.78.106240.167.78.1072
156240.167.78.108/30240.167.78.109 to 240.167.78.110240.167.78.1112
157240.167.78.112/30240.167.78.113 to 240.167.78.114240.167.78.1152
158240.167.78.116/30240.167.78.117 to 240.167.78.118240.167.78.1192
159240.167.78.120/30240.167.78.121 to 240.167.78.122240.167.78.1232
160240.167.78.124/30240.167.78.125 to 240.167.78.126240.167.78.1272
161240.167.78.128/30240.167.78.129 to 240.167.78.130240.167.78.1312
162240.167.78.132/30240.167.78.133 to 240.167.78.134240.167.78.1352
163240.167.78.136/30240.167.78.137 to 240.167.78.138240.167.78.1392
164240.167.78.140/30240.167.78.141 to 240.167.78.142240.167.78.1432
165240.167.78.144/30240.167.78.145 to 240.167.78.146240.167.78.1472
166240.167.78.148/30240.167.78.149 to 240.167.78.150240.167.78.1512
167240.167.78.152/30240.167.78.153 to 240.167.78.154240.167.78.1552
168240.167.78.156/30240.167.78.157 to 240.167.78.158240.167.78.1592
169240.167.78.160/30240.167.78.161 to 240.167.78.162240.167.78.1632
170240.167.78.164/30240.167.78.165 to 240.167.78.166240.167.78.1672
171240.167.78.168/30240.167.78.169 to 240.167.78.170240.167.78.1712
172240.167.78.172/30240.167.78.173 to 240.167.78.174240.167.78.1752
173240.167.78.176/30240.167.78.177 to 240.167.78.178240.167.78.1792
174240.167.78.180/30240.167.78.181 to 240.167.78.182240.167.78.1832
175240.167.78.184/30240.167.78.185 to 240.167.78.186240.167.78.1872
176240.167.78.188/30240.167.78.189 to 240.167.78.190240.167.78.1912
177240.167.78.192/30240.167.78.193 to 240.167.78.194240.167.78.1952
178240.167.78.196/30240.167.78.197 to 240.167.78.198240.167.78.1992
179240.167.78.200/30240.167.78.201 to 240.167.78.202240.167.78.2032
180240.167.78.204/30240.167.78.205 to 240.167.78.206240.167.78.2072
181240.167.78.208/30240.167.78.209 to 240.167.78.210240.167.78.2112
182240.167.78.212/30240.167.78.213 to 240.167.78.214240.167.78.2152
183240.167.78.216/30240.167.78.217 to 240.167.78.218240.167.78.2192
184240.167.78.220/30240.167.78.221 to 240.167.78.222240.167.78.2232
185240.167.78.224/30240.167.78.225 to 240.167.78.226240.167.78.2272
186240.167.78.228/30240.167.78.229 to 240.167.78.230240.167.78.2312
187240.167.78.232/30240.167.78.233 to 240.167.78.234240.167.78.2352
188240.167.78.236/30240.167.78.237 to 240.167.78.238240.167.78.2392
189240.167.78.240/30240.167.78.241 to 240.167.78.242240.167.78.2432
190240.167.78.244/30240.167.78.245 to 240.167.78.246240.167.78.2472
191240.167.78.248/30240.167.78.249 to 240.167.78.250240.167.78.2512
192240.167.78.252/30240.167.78.253 to 240.167.78.254240.167.78.2552
193240.167.79.0/30240.167.79.1 to 240.167.79.2240.167.79.32
194240.167.79.4/30240.167.79.5 to 240.167.79.6240.167.79.72
195240.167.79.8/30240.167.79.9 to 240.167.79.10240.167.79.112
196240.167.79.12/30240.167.79.13 to 240.167.79.14240.167.79.152
197240.167.79.16/30240.167.79.17 to 240.167.79.18240.167.79.192
198240.167.79.20/30240.167.79.21 to 240.167.79.22240.167.79.232
199240.167.79.24/30240.167.79.25 to 240.167.79.26240.167.79.272
200240.167.79.28/30240.167.79.29 to 240.167.79.30240.167.79.312
201240.167.79.32/30240.167.79.33 to 240.167.79.34240.167.79.352
202240.167.79.36/30240.167.79.37 to 240.167.79.38240.167.79.392
203240.167.79.40/30240.167.79.41 to 240.167.79.42240.167.79.432
204240.167.79.44/30240.167.79.45 to 240.167.79.46240.167.79.472
205240.167.79.48/30240.167.79.49 to 240.167.79.50240.167.79.512
206240.167.79.52/30240.167.79.53 to 240.167.79.54240.167.79.552
207240.167.79.56/30240.167.79.57 to 240.167.79.58240.167.79.592
208240.167.79.60/30240.167.79.61 to 240.167.79.62240.167.79.632
209240.167.79.64/30240.167.79.65 to 240.167.79.66240.167.79.672
210240.167.79.68/30240.167.79.69 to 240.167.79.70240.167.79.712
211240.167.79.72/30240.167.79.73 to 240.167.79.74240.167.79.752
212240.167.79.76/30240.167.79.77 to 240.167.79.78240.167.79.792
213240.167.79.80/30240.167.79.81 to 240.167.79.82240.167.79.832
214240.167.79.84/30240.167.79.85 to 240.167.79.86240.167.79.872
215240.167.79.88/30240.167.79.89 to 240.167.79.90240.167.79.912
216240.167.79.92/30240.167.79.93 to 240.167.79.94240.167.79.952
217240.167.79.96/30240.167.79.97 to 240.167.79.98240.167.79.992
218240.167.79.100/30240.167.79.101 to 240.167.79.102240.167.79.1032
219240.167.79.104/30240.167.79.105 to 240.167.79.106240.167.79.1072
220240.167.79.108/30240.167.79.109 to 240.167.79.110240.167.79.1112
221240.167.79.112/30240.167.79.113 to 240.167.79.114240.167.79.1152
222240.167.79.116/30240.167.79.117 to 240.167.79.118240.167.79.1192
223240.167.79.120/30240.167.79.121 to 240.167.79.122240.167.79.1232
224240.167.79.124/30240.167.79.125 to 240.167.79.126240.167.79.1272
225240.167.79.128/30240.167.79.129 to 240.167.79.130240.167.79.1312
226240.167.79.132/30240.167.79.133 to 240.167.79.134240.167.79.1352
227240.167.79.136/30240.167.79.137 to 240.167.79.138240.167.79.1392
228240.167.79.140/30240.167.79.141 to 240.167.79.142240.167.79.1432
229240.167.79.144/30240.167.79.145 to 240.167.79.146240.167.79.1472
230240.167.79.148/30240.167.79.149 to 240.167.79.150240.167.79.1512
231240.167.79.152/30240.167.79.153 to 240.167.79.154240.167.79.1552
232240.167.79.156/30240.167.79.157 to 240.167.79.158240.167.79.1592
233240.167.79.160/30240.167.79.161 to 240.167.79.162240.167.79.1632
234240.167.79.164/30240.167.79.165 to 240.167.79.166240.167.79.1672
235240.167.79.168/30240.167.79.169 to 240.167.79.170240.167.79.1712
236240.167.79.172/30240.167.79.173 to 240.167.79.174240.167.79.1752
237240.167.79.176/30240.167.79.177 to 240.167.79.178240.167.79.1792
238240.167.79.180/30240.167.79.181 to 240.167.79.182240.167.79.1832
239240.167.79.184/30240.167.79.185 to 240.167.79.186240.167.79.1872
240240.167.79.188/30240.167.79.189 to 240.167.79.190240.167.79.1912
241240.167.79.192/30240.167.79.193 to 240.167.79.194240.167.79.1952
242240.167.79.196/30240.167.79.197 to 240.167.79.198240.167.79.1992
243240.167.79.200/30240.167.79.201 to 240.167.79.202240.167.79.2032
244240.167.79.204/30240.167.79.205 to 240.167.79.206240.167.79.2072
245240.167.79.208/30240.167.79.209 to 240.167.79.210240.167.79.2112
246240.167.79.212/30240.167.79.213 to 240.167.79.214240.167.79.2152
247240.167.79.216/30240.167.79.217 to 240.167.79.218240.167.79.2192
248240.167.79.220/30240.167.79.221 to 240.167.79.222240.167.79.2232
249240.167.79.224/30240.167.79.225 to 240.167.79.226240.167.79.2272
250240.167.79.228/30240.167.79.229 to 240.167.79.230240.167.79.2312
251240.167.79.232/30240.167.79.233 to 240.167.79.234240.167.79.2352
252240.167.79.236/30240.167.79.237 to 240.167.79.238240.167.79.2392
253240.167.79.240/30240.167.79.241 to 240.167.79.242240.167.79.2432
254240.167.79.244/30240.167.79.245 to 240.167.79.246240.167.79.2472
255240.167.79.248/30240.167.79.249 to 240.167.79.250240.167.79.2512
256240.167.79.252/30240.167.79.253 to 240.167.79.254240.167.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses